Package fr.gouv.vitam.worker.core.exception

# Class InvalidRuleException

java.lang.Object
java.lang.Throwable
java.lang.Exception
fr.gouv.vitam.common.exception.VitamException
fr.gouv.vitam.processing.common.exception.ProcessingException
fr.gouv.vitam.worker.core.exception.InvalidRuleException

All Implemented Interfaces:
  `Serializable`

public class InvalidRuleException extends ProcessingException
Invalid Rule Exception when compute rules

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InvalidRuleException(UnitsRulesComputePlugin.UnitRulesComputeStatus unitRulesComputeStatus, com.fasterxml.jackson.databind.node.ObjectNode evDetData)`
  InvalidRuleException constructor
  `InvalidRuleException(UnitsRulesComputePlugin.UnitRulesComputeStatus status, com.fasterxml.jackson.databind.node.ObjectNode evDetData, String objectId)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `com.fasterxml.jackson.databind.node.ObjectNode`
  `getEvDetData()`
  `String`
  `getObjectId()`
  `UnitsRulesComputePlugin.UnitRulesComputeStatus`
  `getUnitRulesComputeStatus()`

  ### Methods inherited from class fr.gouv.vitam.common.exception.VitamException

  `getVitamError, setVitamError`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### InvalidRuleException

    public InvalidRuleException(UnitsRulesComputePlugin.UnitRulesComputeStatus status, com.fasterxml.jackson.databind.node.ObjectNode evDetData, String objectId)
    Parameters:
      `status` - the UnitRuleComputeStatus of the error
      `evDetData` - the exception cause
      `objectId` - the object in error

  - ### InvalidRuleException

    public InvalidRuleException(UnitsRulesComputePlugin.UnitRulesComputeStatus unitRulesComputeStatus, com.fasterxml.jackson.databind.node.ObjectNode evDetData)
    InvalidRuleException constructor
    Parameters:
      `unitRulesComputeStatus` - the UnitRuleComputeStatus of the error
      `evDetData` - the exception cause

- ## Method Details

  - ### getUnitRulesComputeStatus

    public UnitsRulesComputePlugin.UnitRulesComputeStatus getUnitRulesComputeStatus()
    Returns:
      unitRulesComputeStatus

  - ### getEvDetData

    public com.fasterxml.jackson.databind.node.ObjectNode getEvDetData()

  - ### getObjectId

    public String getObjectId()